Skip to main content
POST
/
Agent
/
Wallet
/
InitiateSellEDaler
Initiate Sell Edaler
curl --request POST \
  --url https://{host}/Agent/Wallet/InitiateSellEDaler \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "serviceId": "<string>",
  "serviceProvider": "<string>",
  "amount": 123,
  "currency": "<string>",
  "successUrl": "<string>",
  "failureUrl": "<string>",
  "cancelUrl": "<string>",
  "transactionId": "<string>",
  "tabId": "<string>",
  "functionName": "<string>"
}
'
{
  "id": "<string>",
  "state": "<string>",
  "started": "2023-11-07T05:31:56Z",
  "serviceId": "<string>",
  "serviceProvider": "<string>",
  "amount": 123,
  "currency": "<string>",
  "ended": "2023-11-07T05:31:56Z",
  "successUrl": "<string>",
  "failureUrl": "<string>",
  "cancelUrl": "<string>",
  "clientUrl": "<string>"
}

Overview

Allows the client to initiate the process of selling eDaler, using a service provider that does not use a smart contract as the basis for the transaction (i.e. a service provider that will require the client to open a third-party page to complete the transaction). Note: Service Providers publishing a smart contract template as the basis of operation start processing transactions when the contract has been created and signed by the client and the Trust Provider. There is no need to initiate the process by calling this resource in such cases.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
serviceId
string
required
serviceProvider
string
required
amount
number<double>
required
currency
string
required
successUrl
string
failureUrl
string
cancelUrl
string
transactionId
string
tabId
string
functionName
string

Response

200 - application/json

Success

id
string
required
state
string
required
started
string<date-time>
required
serviceId
string
required
serviceProvider
string
required
amount
number<double>
required
currency
string
required
ended
string<date-time>
successUrl
string
failureUrl
string
cancelUrl
string
clientUrl
string